Description

The "Ruler" (Interactive Measuring Tool) distance units always reverts to Meters when another tool (e.g., Pan) is selected.

Note: having changed to Feet, closing the Ruler's window then causing it to reopen by clicking in the image with the Ruler does keep the

setting.

However, selecting another Tool, e.g., Pan, causes the Ruler's window to close and when Ruler is selected again its window opens with

Meters selected.

Changing the "Preferred Distance Units" in Preferences > Map Tools to Feet does not change this behavior.

Same behavior in previous versions 3.0.0, 3.0.1, and 2.18.15

Related issues:

Related to QGIS Application - Bug report # 15435: Measure tools: default unit... Closed 2016-08-14

Related to QGIS Application - Bug report # 15436: Measure tools: opening Conf... Closed 2016-08-14

History

#1 - 2018-10-22 06:15 PM - Denis Rouzaud

it uses the units from the project properties.

I agree this is not very clear and optimal.

Will ask on the mailing list on what to do.

#2 - 2018-10-22 06:38 PM - Harrissou Santanna

- Related to Bug report #15435: Measure tools: default unit is hardcoded and doesn't follow choice in Settings dialog added

#3 - 2018-10-22 06:38 PM - Harrissou Santanna

- Related to Bug report #15436: Measure tools: opening Configuration dialog may change your custom units added

#4 - 2019-05-15 10:21 PM - Denis Rouzaud

here is the mail: https://lists.osgeo.org/pipermail/qgis-developer/2018-October/054937.html

there was no reply on the list

#5 - 2019-05-15 11:25 PM - Garth Fletcher

It seems to me that the control of current Measure Tool units should be:

 1) when creating a new project: initialize Project Properties and Measure tool setting per global Preferences-Map Tools settings

 2) when opening an existing project: initialize Measure Tool setting per Project Properties-General settings

 3) when changed in Measure tool (ruler) window: set Measure tool units, and keep that setting until either 
3.a) New Project {which sets it to global Preferences-Map Tools}

3.b) Open of existing project {which sets it to Project Properties-Genera}, or 

3.c) another change is applied via Measure tool window

At present (through QGIS 3.6.2-1) every time the Measure tool window is opened it reverts to Project Properties setting, i.e., it is re-initialized from the

Project Properties.

The solution would be to disable initialization of the Measure tool setting except for New Project or Open Project, and to ensure that both of those set the

Measure tool units.  Thereafter it can be left to the user to make changes via the Measure tool window.
